Index: advanced/platform/elements/side_boxes/login.elm.tpl
===================================================================
--- advanced/platform/elements/side_boxes/login.elm.tpl	(revision 14472)
+++ advanced/platform/elements/side_boxes/login.elm.tpl	(working copy)
@@ -84,33 +84,33 @@
 	<form method="post" action="<inp2:m_FormAction />">
 		<inp2:m_if check="u_UseUsernames">
 			<inp2:m_phrase label="lu_username"/><br />
-			<input class="input-text" type="text" name="login" style="width:155px" /><br />
 		<inp2:m_else/>
 			<inp2:m_phrase label="lu_email"/><br />
-			<input class="input-text" type="text" name="email" style="width:155px" /><br />
 		</inp2:m_if>
 
+		<input class="input-text" type="text" name="<inp2:u.login-sidebox_InputName name='UserLogin'/>" value="<inp2:u.login-sidebox_Field name='UserLogin'/>" style="width:155px" /><br />
+
 		<img src="<inp2:m_TemplatesBase module="In-Portal"/>img/s.gif" width="1" height="5" alt=""/><br />
 
 		<inp2:m_Phrase label="lu_Password"/><br />
-		<input type="password" class="input-text" name="password" style="width:155px" /><br />
+		<input type="password" class="input-text" name="<inp2:u.login-sidebox_InputName name='UserPassword'/>" value="<inp2:u.login-sidebox_Field name='UserPassword'/>" style="width:155px" /><br />
 
 		<img src="<inp2:m_TemplatesBase module="In-Portal"/>img/s.gif" alt="" width="1" height="10" border="0" /><br />
 
 		<table>
 			<tr>
 				<td width="10">
-					<input class="button" name="events[u][OnLogin]" type="submit" value="<inp2:m_Phrase label='lu_Login' no_editing='1'/>" /><br />
+					<input class="button" name="events[u.login-sidebox][OnLogin]" type="submit" value="<inp2:m_Phrase label='lu_Login' no_editing='1'/>" /><br />
 				</td>
 				<td align="left">
-					<input type="checkbox" name="cb_remember_login" value="1"/> <span class="remember-login"><inp2:m_Phrase label="lu_remember_login"/></span>
+					<input type="checkbox" name="<inp2:u.login-sidebox_InputName name='UserRememberLogin'/>" id="<inp2:u.login-sidebox_InputName name='UserRememberLogin'/>" value="1"/> <label for="<inp2:u.login-sidebox_InputName name='UserRememberLogin'/>" class="remember-login"><inp2:m_Phrase label="lu_remember_login"/></label>
 				</td>
 			</tr>
 		</table>
 
 		<img src="<inp2:m_TemplatesBase module="In-Portal"/>img/s.gif" alt="" width="5" height="5" border="0" /><br />
-		<inp2:m_if check="u_HasError" field="any">
-			<span class="field-error"><inp2:u_Error field="ValidateLogin"/></span><br />
+		<inp2:m_if check="u.login-sidebox_HasError" field="any">
+			<span class="field-error"><inp2:u.login-sidebox_Error field="UserLogin"/></span><br />
 		</inp2:m_if>
 
 		<inp2:m_if check="u_RegistrationEnabled">
Index: advanced/platform/elements/side_boxes/recommend_site.elm.tpl
===================================================================
--- advanced/platform/elements/side_boxes/recommend_site.elm.tpl	(revision 14472)
+++ advanced/platform/elements/side_boxes/recommend_site.elm.tpl	(working copy)
@@ -6,11 +6,11 @@
 <img src="<inp2:m_TemplatesBase module="In-Portal"/>img/s.gif" alt="" width="1" height="5" border="0" /><br />
 
 <form method="POST" action="<inp2:m_FormAction />">
-	<input type="text" class="input-text" name="friend_email" value="" style="width: 155px;" /><br />
-	<inp2:m_if check="u_HasError" field="any">
-		<span class="field-error"><inp2:u_Error field="Email"/></span><br />
+	<input type="text" class="input-text" name="<inp2:u.recommend-sidebox_InputName name='RecommendEmail'/>" value="<inp2:u.recommend-sidebox_Field name='RecommendEmail'/>" style="width: 155px;" /><br />
+	<inp2:m_if check="u.recommend-sidebox_HasError" field="any">
+		<span class="field-error"><inp2:u.recommend-sidebox_Error field="RecommendEmail"/></span><br />
 	</inp2:m_if>
 	<br />
-	<input class="button" name="events[u][OnRecommend]" type="submit" value="<inp2:m_Phrase label='lu_btn_Recommend' no_editing='1'/>" />
+	<input class="button" name="events[u.recommend-sidebox][OnRecommend]" type="submit" value="<inp2:m_Phrase label='lu_btn_Recommend' no_editing='1'/>" />
 	<input type="hidden" name="template_success" value="platform/recommend/recommend" />
 </form>
\ No newline at end of file
Index: advanced/platform/login/forgot_password.tpl
===================================================================
--- advanced/platform/login/forgot_password.tpl	(revision 14472)
+++ advanced/platform/login/forgot_password.tpl	(working copy)
@@ -49,7 +49,7 @@
 				</inp2:m_if>
 				<br /><br />
 
-				<inp2:m_if check="u_HasError" field="any">
+				<inp2:m_if check="u.forgot_HasError" field="any">
 					<inp2:m_RenderElement name="error_message"/>
 				</inp2:m_if>
 
@@ -57,17 +57,8 @@
 
 				<form method="post" action="<inp2:m_FormAction/>">
 					<table class="form-data fullwidth">
-						<inp2:m_if check="m_ConfigEquals" name="Email_As_Login" value="0">
-							<tr class="<inp2:m_odd_even odd="table_color1" even="table_color2"/>">
-								<inp2:m_RenderElement name="inp_edit_field_caption" prefix="u" field="Login" title="lu_fld_Login"/>
-								<td class="field-value">
-									<inp2:m_if check="u_HasError" field="Login">
-										<span class="field-error"><inp2:u_Error field="Login"/></span><br />
-									</inp2:m_if>
-									<input type="text" class="input-text" name="username" value="<inp2:m_Get name="username"/>" tabindex="<inp2:m_get param="tab_index"/>" style="width: 155px;">
-								</td>
-							</tr>
-							<inp2:m_RenderElement name="inp_edit_field_separator" is_last="0"/>
+						<inp2:m_if check="u_UseUsernames">
+							<inp2:m_RenderElement name="inp_edit_box" prefix="u.forgot" field="ForgotLogin" title="lu_fld_Login" style="width: 155px;"/>
 
 							<tr class="<inp2:m_odd_even odd="table_color1" even="table_color2"/>">
 								<td class="field-name"></td>
@@ -78,21 +69,13 @@
 							<inp2:m_RenderElement name="inp_edit_field_separator" is_last="0"/>
 						</inp2:m_if>
 
-						<tr class="<inp2:m_odd_even odd="table_color1" even="table_color2"/>">
-							<inp2:m_RenderElement name="inp_edit_field_caption" prefix="u" field="Email" title="lu_fld_Email"/>
-							<td class="field-value">
-								<inp2:m_if check="u_HasError" field="Email">
-									<span class="field-error"><inp2:u_Error field="Email"/></span><br />
-								</inp2:m_if>
-								<input type="text" class="input-text" name="email" value="<inp2:m_Get name="email"/>" tabindex="<inp2:m_get param="tab_index"/>" style="width: 155px;">
-							</td>
-						</tr>
+						<inp2:m_RenderElement name="inp_edit_box" prefix="u.forgot" field="ForgotEmail" title="lu_fld_Email" style="width: 155px;"/>
 
 						<inp2:m_RenderElement design="inp_edit_buttons">
 							<input type="hidden" name="template_success" value="platform/login/forgot_password_reset_notice"/>
 							<input type="hidden" name="reset_confirm_template" value="platform/login/forgot_password_reset"/>
 
-							<input type="submit" class="button" name="events[u][OnForgotPassword]" value="<inp2:m_Phrase label="lu_btn_SendPassword" no_editing="1"/>" />
+							<input type="submit" class="button" name="events[u.forgot][OnForgotPassword]" value="<inp2:m_Phrase label='lu_btn_SendPassword' no_editing='1'/>" />
 							<input type="button" class="button" onclick="redirect('<inp2:m_Link template="index"/>');" value="<inp2:m_Phrase label="lu_btn_Cancel" no_editing="1"/>">
 						</inp2:m_RenderElement>
 					</table>
